<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useColumnValueOptions](./react.usecolumnvalueoptions.md)

## useColumnValueOptions() function

<b>Signature:</b>

```typescript
export declare function useColumnValueOptions(column: string | undefined, table: ColumnTable | undefined, values?: Value[], filter?: (value: Value) => boolean): IDropdownOption[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  column | string \| undefined |  |
|  table | ColumnTable \| undefined |  |
|  values | Value\[\] | <i>(Optional)</i> |
|  filter | (value: Value) =&gt; boolean | <i>(Optional)</i> |

<b>Returns:</b>

IDropdownOption\[\]

